﻿using Infragistics.Win.Printing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Printing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _149281
{
    public partial class Form1 : Form
    {

        MultiPrintDocument printDoc; 
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable grid1 = GetDataTable(5, 50);

            DataTable grid2 = GetDataTable(7, 70);

            ultraGrid1.DataSource = grid1;
            ultraGrid2.DataSource = grid2;


        }

        private DataTable GetDataTable(int columnCount, int rowCount)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("id", typeof(int)).AutoIncrement = true;
            for (int i = 0; i < columnCount; i++)
            {
                dt.Columns.Add(string.Format("Col {0}", i), typeof(string)).Expression = string.Format("'Col {0}' + [id]", i);
            }

            for (int i = 0; i < rowCount; i++)
            {
                dt.Rows.Add();
            }

            return dt;

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
           
            printDoc = new MultiPrintDocument(new PrintDocument[] { ultraGridPrintDocument1, ultraGridPrintDocument2 });
            printDoc.Footer.TextLeft = "[Page #] of [Total ##]";
            printDoc.BeginPrint += printDoc_BeginPrint;

            UltraPrintPreviewDialog dialog = new UltraPrintPreviewDialog();
            dialog.Document = printDoc;
            dialog.ShowDialog();
        }

        void printDoc_BeginPrint(object sender, PrintEventArgs e)
        {
            e.Cancel = false;
        }

        private void ultraGridPrintDocument1_BeginPrint(object sender, PrintEventArgs e)
        {
            
        }
    }
}
